Bug 215946 - glibc-kernheaders much too old
glibc-kernheaders much too old
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 09:44 EST by Ward Wouts
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 05:33:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ward Wouts 2006-11-16 09:44:31 EST
Description of problem:

While trying to compile keepalived I noticed that the glibc-kernheaders for FC4
are for a 2.4.9 kernel, while FC4 has always used a 2.6.x kernel. This messes up
the detection of the kernel version code gets compiled against and very likely
produces a binary which won't work correctly on a 2.6.x kernel.

Version-Release number of selected component (if applicable):


How reproducible:
Try to build keelalived (http://www.keepalived.org/download.html) on a FC4
system and carefully wath the output.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Christian Iseli 2007-01-19 19:20:39 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Ward Wouts 2007-01-26 05:33:27 EST
In FC6 het glibc-kernheaders rpm doesn't exist any more as it's replaced by the
kernel-headers rpm. Which is in sync with the kernel version.

Note You need to log in before you can comment on or make changes to this bug.